(* $Id: rational.mli,v 1.9 2008/01/21 00:59:58 averell Exp $ *)
(**
  The field of rationals numbers.
  
  This is an interface for the module [Num] which is compatible with
  the module types {!RingSig.RING}

  @author Florent Hivert
*)


(* We don't want to make t an abstract type *)
include (Signatures.RING with type t = Num.num)
val of_string   : string -> t
val to_string   : t -> string

